dunetpc v09_02_00
Status: Closed Start date: 09/13/2020
Priority: Normal Due date:

Assignee: David Adams % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

David,

Please tag dunetpc v09_02_00.

Etienne

History

#1 - 09/14/2020 07:22 AM - David Adams

Test build is started.

#2 - 09/14/2020 08:35 AM - David Adams

Tag is made and builds are started on Jenkins.

Tom or Tingjun, could you update the Jenkins build matrix to drop all but py3 slf7? Sorry, | could never get anyone to give me instructions for that.

#3 - 09/14/2020 10:53 AM - David Adams

- Status changed from New to Closed

Builds are installed: {slf7}, {19, e19-py2, c7, c7-py2}.

#4 - 09/14/2020 10:58 AM - Tingjun Yang

Thanks David. Have we decided to drop the support for py2? If larsoft continues to make them, | think we can still build releases with py2 just in case
some people may still need it.

#5 - 09/15/2020 04:40 AM - Christoph Alt

| think dropping the py2 builds is still under discussion. | removed the macOS and slf6 builds from the dune-release-build configuration in Jenkins for
now.

#6 - 09/15/2020 10:48 AM - Thomas Junk

| polled the reco and computing listserv groups and didn't get any complaints. Lynn asked if we could drop py2, and | said okay with that. We may
have to hold a hand or two if there are any py2 holdouts. The only (recent) mention of py2 in Slack has been new users following tutorials that
mention releases with that qualifier.
